Translation of Content Objects with the KW Translator

Purpose

The Knowledge Warehouse Translator is a tool with which you can translate the following information objects:

  • complete Web sites in the Intranet Management area
  • information objects in any format

The Knowledge Warehouse Translator is a 32-bit front-end application for Microsoft windows permitting easy editing of translation packages (Explorer, status administration).

Formats that cannot be edited are provided for translation in the form of an existing file as translation (Multimedia translation).

You can translate the specified information objects using the Knowledge Warehouse Translator without an online link to a Knowledge Warehouse system.

Implementation Considerations

The Knowledge Warehouse Translator is installed from the Knowledge Warehouse component of the SAPgui CD.

Integration

Translation packages whose contents can be translated with the Knowledge Warehouse Translator are created in the Knowledge Warehouse.

Features

  • Support in translation of all formats that are registered in the Knowledge Warehouse, such as
    • HTML
    • XML
    • Word, PowerPoint, Visio
    • Graphics, record formats, ... (e.g. translate films by checking in a synchronized version)
  • Insertion of translated files in the translation package
  • Semi-automatic status administration
  • Support by
    • Flow control (WDFTRACE.EXE)
    • Message file "log.txt" (in the package directory)


Translation of a Translation Package

Purpose

You can translate a translation package that you created in the Intranet Management area.

The translation package contains all the components of the chosen folder or content objects.

Prerequisites

The translation package to be translated was created with the KW Translator option and is stored on the PC.

Process Flow

  1. You start the KW Translator.
  2. You open the translation package.

    3. The contents of the translation package are displayed sorted by component of the content objects to be translated.

  3. You translate the contents of the translation package.

    4. With an editor you can only translate a content object that is marked as the primary component and whose technical name is displayed.

    Primary components are objects that were checked into the Knowledge Warehouse as independent content objects.

    If you want to translate other components of the content object using an editor, you must mark these components as primary components.

  4. You assign Translated status.

    5. Only translation packages whose content objects have Translated status can be checked in.

  5. You close the KW Translator.

Result

The translation package is translated and can be read back into the Knowledge Warehouse.


Start the KW Translator

Prerequisites

The KW Translator was installed from the SAPgui.

Procedure

To start the KW Translator choose Start ® Programs ® SAP Front-end ® Knowledge Warehouse Translator.

Result

The KW Translator is started.


Setting the Interface Language

Prerequisites

You are in the KW Translator.

Procedure

To set the interface language of the KW Translator:

  1. Choose Extras ® Options.

    2. A dialog box appears in which you can enter general settings.

  2. Choose the interface language for the KW Translator in the Language field and choose OK.

Result

The interface of the KW Translator appears in the given language.


Opening the Translation Package

Prerequisites

The translation package to be translated was created with the KW Translator option and is stored on the PC.

You are in the KW Translator.

Procedure

To open a translation package:

  1. Choose File ® Open Translation Package.

    2. The Open Translation Package dialog box appears.

  2. Go to the directory where you stored your translation package.
  3. Choose file trans.kxf and choose Open.

Result

The chosen translation package is opened in the KW Translator.

The technical names of the content objects to be translated are displayed.

If you expand the individual content objects, you will see the individual components belonging to the content object.

The primary components, which are marked with the following symbol, are translated:


Translating a Content Object with the Editor

Use

In the KW Translator you translate content objects of info object classes Slide, Text and Topic using MS PowerPoint or MS Word. These two editors are started automatically when you want to translate content objects.

Content objects of info object class HTML can be translated in a special HTML editor provided by the Knowledge Warehouse.

Prerequisites

The translation package to be translated was created with the KW Translator option and is stored on the PC.

The translation package contains content objects of info object classes Slide, Text, Topic or HTML.

You are in the KW Translator.

The content object to be translated is marked as a primary component.

Procedure

To translate a content object with the appropriate editor:

  1. Double-click on the content object.

    2. The appropriate editor is started. The content object is marked as open in the KW Translator.

    Two windows are displayed. One window contains the original language file and the other one contains the target language file.

    If you only see one window (e.g. when translating HTML objects), move this window. The second window lies below it.

  2. Translate the content object and save the translation.
  3. Close the editor.

Both windows are closed.

Result

The content object is translated. It is marked with status In Translation in the KW Translator.

You can set the status to Translated when you have completed translation of the content object.


Assigning a Translated File

Use

You can assign any file to the components of a content object as a translation, thereby creating a translation without an editor.

Prerequisites

The translation package to be translated was created with the KW Translator option and is stored on the PC.

You are in the KW Translator.

Procedure

To assign a translated file to a component:

  1. Choose a component.
  2. Choose Edit ® Assign Translated File.

    3. A dialog box appears.

  3. Go to the directory containing the file you want to assign as translation.
  4. Choose the file and choose OK.

If you chose a primary component to which you want to assign a translation, you can assign further components as translation.

Result

The chosen file was assigned to the chosen component as translation.

The content object is marked with status In Translation in the KW Translator.

You can set the status to Translated when you have completed translation of the content object.


Translating the Title

Use

You can translate the title of a content object with this procedure.

Prerequisites

The translation package to be translated was created with the KW Translator option and is stored on the PC.

You are in the KW Translator.

Procedure

To translate the title:

  1. Choose a content object.
  2. Choose Edit ® Translate Title.

    3. The Translate Title dialog box appears.

  3. Enter the translated title in the lower window and choose OK.

Result

The title of the chosen content object is translated.


Local Translation Status

Definition

The local translation status marks the translation status of a content object in the translation package.

Sometimes it is set automatically, but you can also set it yourself.

Use

You can mark the translation status of a content object with the local translation status.

Structure

The local translation statuses are:

  • To be translated

The content object must be translated.

This status is set automatically.
  • In translation

The content object has been opened and saved in the editor or a translated file has been assigned to the content object.

This status is set automatically.
  • Translated

The content object has been completely translated.

You set this status yourself.


Setting the Local Translation Status

Use

You can mark the translation status of a content object with the local translation status.

Prerequisites

The translation package to be translated was created with the KW Translator option and is stored on the PC.

You are in the KW Translator.

Procedure

To assign a local translation status to a content object:

  1. Choose the content object.
  2. Choose Edit ® Mark Document As ® To be translated or In translation or Translated.

Result

The local translation status is assigned to the given content object.


Changing the Components

Use

You can change the components of a content object with this function.

Integration

A content object can consist of multiple components, where the content object is the primary component.

A Website consists of multiple HTML and GIF files.

The website has been checked into the Knowledge Warehouse as a separate content object. This content object is the primary component.

The corresponding HTML and GIF files have become components of the content object (website).

Only the primary component can be translated with an editor. Therefore, if you want to translate a component of the content object using an editor, you must first declare this component to be the primary component.

Prerequisites

The translation package to be translated was created with the KW Translator option and is stored on the PC.

You are in the KW Translator.

Features

The following functions for changing components are provided:

  • Declare a component to be the primary component

The file marked as the primary component can be translated with an editor.
  • Add new components
  • Replace one or all component files with other files
  • Delete components

Activities

You mark one or more components and choose Edit ® Component File and then one of the displayed options.


Declaring a Component to be a Primary Component

Use

If you want to translate a component using an editor, this component must be marked as the primary component.

Prerequisites

The translation package to be translated was created with the KW Translator option and is stored on the PC.

You are in the KW Translator.

Procedure

To declare a component as the primary component:

  1. Choose the components to be translated with an editor.
  2. Choose Edit ® Component Files ® Declare Component File As Primary.

Result

The chosen component is marked with an icon as the primary component. It can now be translated with an editor .


Adding a New Component File

Prerequisites

The translation package to be translated was created with the KW Translator option and is stored on the PC.

You are in the KW Translator.

Procedure

To add a new component:

  1. Choose a content object to which you want to add a new component.
  2. Choose Edit ® Component Files ® Add Component File.

    3. A dialog box appears.

  3. Go to the directory containing the file you want to add as a new component.
  4. Choose the file and choose OK.

Result

The new component is added to the content object.


Replacing a Component File

Prerequisites

The translation package to be translated was created with the KW Translator option and is stored on the PC.

You are in the KW Translator.

Procedure

To replace a component:

  1. Choose a component to be replaced.
  2. Choose Edit ® Component Files ® Replace Component File.

    3. A dialog box appears.

  3. Go to the directory containing the file with which you want to replace the given component.
  4. Choose the file and choose OK.

Result

The chosen component is replaced.


Deleting a Component File

Prerequisites

The translation package to be translated was created with the KW Translator option and is stored on the PC.

You are in the KW Translator.

Procedure

To delete a component:

  1. Choose a component to be deleted.
  2. Choose Edit ® Component Files ® Delete Component File.

Result

The chosen component is deleted.


Glossary

Finding terms

To search for a glossary term, enter the term in the text field of the Index tab.

To search for a term in the full text, enter the term in the text field of the Search tab, and press Enter or the pushbutton List Topics.

Displaying terms

To display a term highlighted in the list box, double-click on it or press the pushbutton Display.


HTML Help Viewer Help

Use

With the HTML Help Viewer you can view the SAP Library in file format Compiled HTML (*.CHM).

Features

The HTML Help Viewer comprises:

  • A topic window for displaying the current help document.
  • A navigation window for displaying the current table of contents, the keyword search and the full-text search. (The navigation window can be hidden or shown: Hide/Show.)
  • A toolbar containing navigation and print functions, etc.

If you go to other help files while navigating through the online help, other HTML Help Viewer instances are opened. These instances can be closed individually. If you close the initial instance, all viewer instances are closed.

To go to the first page of the SAP Library, choose Home. You have access to the entire documentation from there: SAP Library, Glossary, Implementation Guide (IMG) and Release Notes.

Finding Help Documents

To find help documents:

  • Navigate in the table of contents tree structure (Contents tab)
    • To expand or collapse all branches of the table of contents tree, click the right-hand mouse key in the navigation window and choose Expand all or Collapse all in the context menu.
    • To move backwards and forwards in a navigation path, choose Back or Forward in the toolbar. This applies to the navigation path within an HTML Help Viewer instance.
    • To display only the entries for particular info classes in the table of contents, click the right-hand mouse key in the navigation window and choose Customize... in the context menu. Specify in the following dialog which info classes are to appear in the table of contents.
  • Perform a keyword search (Index tab)

The complete index is displayed if you are in the SAP Library; the index of the current help file is displayed if you are in another help file. No Index tab is displayed if no index exists for the current help file.

Loading the complete SAP Library index (approx. 8 MB) can take several minutes, depending on the configuration of your PC.

Select an entry in the list of keywords and choose Display.
If the selected keyword is assigned to only one help document, that document is displayed. Otherwise a list of documents found is offered for selection.

As Release Notes and IMG have no index, only full-text search is possible for them.
  • Perform a full-text search (Search tab)

Enter a search request and choose List Topics.
All documents are searched if you are in the SAP Library; only the documents in the current help file are searched if you are in another help file. The documents found are listed for selection.

To make complex searches:
    • Use the place holder ? for single characters and * for character strings in search terms.
    • Match similar words
    • Combine search terms with the operators:
      • AND (all terms appear in the document)
      • OR (at least one of the terms appears in the document)
      • NOT (the term does not appear in the document)
      • NEAR (the terms occur close together, such as in the same sentence in the document)
    • Restrict the search to document titles (Search titles only)
    • Restrict the search to the set of documents found in the previous search (Search previous results)

A global search in the SAP Library, in particular full-text search, requires a large amount of main memory. Global full-text search should only be used if the help files are on the local hard disk.

Finding the Current Help Document in the Table of Contents

If you found the current topic by search or hyperlink, the position of the topic in the table of contents is not displayed. To find the topic in the table of contents, choose Locate in the HTML Help Viewer toolbar.

If you found the current topic by a global (full-text or keyword) search in the SAP Library, the help file containing the topic must first be found. Click on the Locate icon [image] in the topic title. Then choose Locate in the toolbar to expand the help file table of contents and find the position of the topic.

Printing Help Documents

You can print individual help documents or several documents at the same time:

  • To print the current topic, choose Print with the option Print the selected topic.
  • To print the current topic and all its subtopics, choose Print with the option Print the selected heading and all subtopics.


SAP Library

 Entering home page
SAP Library
SAP R/3 Enterprise, July 2002
mySAP Technology Components, Release 6.20, April 2002
SAP Library

Glossary

Getting Started

© Copyright 2002 SAP AG
All rights reserved.
Leaving home page


Broken link

 Entering content frame

flash Error: Broken link

You tried to follow a link that points to an unknown target document.

 Leaving content frame